# Source code for azure.mgmt.apimanagement.models.subscription_key_parameter_names_contract_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class SubscriptionKeyParameterNamesContract(Model):
        """Subscription key parameter names details.

        :param header: Subscription key header name.
        :type header: str
        :param query: Subscription key query string parameter name.
        :type query: str
        """

        _attribute_map = {
            'header': {'key': 'header', 'type': 'str'},
            'query': {'key': 'query', 'type': 'str'},
        }

        def __init__(self, *, header: str=None, query: str=None, **kwargs) -> None:
            super(SubscriptionKeyParameterNamesContract, self).__init__(**kwargs)
            self.header = header
            self.query = query